
%define tname     LibVNCServer
Name: libvncserver
%define libname %name
Version: 0.9.1
Release: alt1

Group: System/Libraries
Summary: An easy API to write one's own VNC server
Url: http://sourceforge.net/projects/libvncserver/
License: GPL

Source: http://downloads.sourceforge.net/libvncserver/%tname-%version.tar.gz
Patch1: LibVNCServer-0.9.1-alt-force-linux.patch

BuildRequires: gcc-c++ glibc-devel-static libjpeg-devel libSDL-devel xorg-x11-devel zlib-devel libssl-devel

%description
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schema.

LibVNCServer was put together and is (actively ;-) maintained by
Johannes Schindelin <Johannes.Schindelin@gmx.de>


%package devel
Summary: Headers for developing programs that will use %tname
Group: Development/C
Requires: %name = %version-%release
%description devel
Headers for developing programs that will use %tname

%package devel-static
Summary: Static libraries for developing programs that will use %tname
Group: Development/C
Requires: %name-devel = %version-%release
%description devel-static
Static libraries for developing programs that will use %tname

%package -n linuxvnc
Summary: VNC server to monitor a text session
Group: Networking/Remote access
Requires: %name = %version-%release
%description -n linuxvnc
With linuxvnc you can export your currently running text sessions to any VNC
client. So it can be useful, if you want to move to another computer without
having to log out and if you've forgotten to attach a 'screen' session to it,
or to help a distant colleague to solve a problem.

Based on the ideas of x0rfbserver and on LibVNCServer, it has evolved
into a versatile and performant while still easy to use program.

%prep
%setup -q -n %tname-%version
%patch1 -p1

%build
%configure
%make_build


%install
%make DESTDIR=%buildroot install


%post
%post_ldconfig
%postun
%postun_ldconfig


%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_libdir/*.so.*

%files devel
%_includedir/rfb
%_libdir/*.so
#%_libdir/*.la
%_bindir/libvncserver-config

%files devel-static
%_libdir/*.a

%files -n linuxvnc
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/LinuxVNC

%changelog
* Tue Mar 18 2008 Sergey V Turchin <zerg at altlinux dot org> 0.9.1-alt1
- initial specfile
- force detect linux
